#=============================================================
#                           Misc
#=============================================================

#Amount of adenas that a new character is given, default is 100
StartingAdena = 100

# If True, when effects of the same stack group are used, lesser
# effects will be canceled if stronger effects are used. New effects
# that are added will be canceled if they are of lesser priority to the old one.
# If False, they will not be canceled, and it will switch to them after the
# stronger one runs out, if the lesser one is still in effect.
CancelLesserEffect = True

# % regeneration of normal regeneration speed - on a base 1 = 100%.
HpRegenMultiplier = 1.
MpRegenMultiplier = 1.
CpRegenMultiplier = 1.

# Player Protection after teleporting or login in seconds, 0 for disabled
PlayerSpawnProtection = 0

# Player Protection from (agro) mobs after getting up from fake death; in seconds, 0 for disabled
PlayerFakeDeathUpProtection = 5

# Amount of HP restored at revive - on a base 1 = 100%.
RespawnRestoreHP = 0.7

# Maximum number of allowed slots for Private Stores (sell/buy) for dwarves and for all other races
# Normally, dwarves get 5 slots for pvt stores, while other races get only 4
MaxPvtStoreSlotsDwarf = 5
MaxPvtStoreSlotsOther = 4

# If True, the following deep blue mobs' drop penalties will be applied:
# - When player's level is 9 times greater than mob's level, drops got divided by 3
# - After 9 lvl's of difference between player and deep blue mobs, drop chance is
# lowered by 9% each lvl that difference increases. (9lvls diff = -9%; 10lvls diff = -18%; ...)
# NOTE1: These rules are applied to both normal and sweep drops
# NOTE2: These rules ignores the server's rate when drop is of adena type (Complies with retail server)
UseDeepBlueDropRules = True

# XP loss (and deleveling) enabled, default is True
Delevel = True

# Death Penalty chance if killed by mob (in %), 20 by default
DeathPenaltyChance = 20

#=============================================================
#                      Inventory / Warehouse
#=============================================================
# Inventory space limits
MaximumSlotsForNoDwarf = 80
MaximumSlotsForDwarf = 100
MaximumSlotsForQuestItems = 100
MaximumSlotsForPet = 12

# Weight Limit multiplier - default 1
AltWeightLimit = 1

# Warehouse space limits (Must be < 300 for prevent client crash)
# Dwarfs will get bonus from lvl 60
MaximumWarehouseSlotsForDwarf = 120
MaximumWarehouseSlotsForNoDwarf = 100
MaximumWarehouseSlotsForClan = 200
MaximumFreightSlots = 20

# Alternative Freight mode. If true, freights can be withdrawed from any place.
# Also, possibility to change Freight price (in adena) for each item slot in freight.
# NOTE: AltGameFreightPrice WILL NOT change the value shown to the player, but the
# player will actually get charged for the value set in here.
AltGameFreights = False
AltGameFreightPrice = 1000

#=============================================================
#                           Enchant
#=============================================================
# % chance of success to enchant a magic weapon
EnchantChanceMagicWeapon = 0.4
EnchantChanceMagicWeapon15Plus = 0.2

# % chance of success to enchant a non magic weapon
EnchantChanceNonMagicWeapon = 0.7
EnchantChanceNonMagicWeapon15Plus = 0.35

# % chance of success to enchant an armor part (both jewelry or armor)
EnchantChanceArmor = 0.66

# Enchant limit [default = 0]
EnchantMaxWeapon = 0
EnchantMaxArmor = 0

# if EnchantSafeMax is set to for ex '8' the item will be safly enchanted to '8' regardless of
# enchant chance(default = 3 for EnchantSafeMax and default = 4 for EnchantSafeMaxFull)
# EnchantSafeMaxFull is for full body armor (upper and lower), value should be > 0.
EnchantSafeMax = 3
EnchantSafeMaxFull = 4

#=============================================================
#                        Augmentations
#=============================================================
# Control the chance to get a skill in the augmentation process.
# Default: 15, 30, 45, 60
AugmentationNGSkillChance = 15
AugmentationMidSkillChance = 30
AugmentationHighSkillChance = 45
AugmentationTopSkillChance = 60

# This controls the chance to get a base stat modifier in the augmentation process.
# Notes: This has no dependancy on the grade of Life Stone.
# Default: 1
AugmentationBaseStatChance = 1

# These control the chance to get a glow effect in the augmentation process.
# Notes: No/Mid Grade Life Stone can't have glow effect if you do not get a skill or base stat modifier.
# Default: 0, 40, 70, 100
AugmentationNGGlowChance = 0
AugmentationMidGlowChance = 40
AugmentationHighGlowChance = 70
AugmentationTopGlowChance = 100

#=============================================================
#                        Karma & PvP
#=============================================================
KarmaPlayerCanBeKilledInPeaceZone = False
KarmaPlayerCanShop = True
KarmaPlayerCanTeleport = True
KarmaPlayerCanUseGK = False
KarmaPlayerCanTrade = True
KarmaPlayerCanUseWareHouse = True

# Karma gain/loss
MinKarma = 240
MaxKarma = 10000

# the number to divide the xp recieved by, to calculate karma lost on xp gain/lost
XPDivider = 260

# The Minimum Karma lost if 0 karma is to be removed
BaseKarmaLost = 0

# Equipment loss
CanGMDropEquipment = False

# -----------

# NOTE: Make sure lists do NOT CONTAIN trailing spaces or spaces between the numbers!

# List of pet items we cannot drop
ListOfPetItems = 2375,3500,3501,3502,4422,4423,4424,4425,6648,6649,6650

# Lists of items which should NEVER be dropped by PKer
ListOfNonDroppableItemsForPK = 57,1147,425,1146,461,10,2368,7,6,2370,2369

# -----------

# item drop related min/max
MinimumPKRequiredToDrop = 5

# Should we award a pvp point for killing a player with karma?
AwardPKKillPVPPoint = False

# Length one stays in PvP mode after hitting an innocent (in ms)
PvPVsNormalTime = 15000

# Length one stays in PvP mode after hitting a purple player (in ms)
PvPVsPvPTime = 30000

#=============================================================
#                             Party
#=============================================================

# PARTY XP DISTRIBUTION
# With "auto method" member is cut from Exp/SP distribution when his share is lower than party bonus acquired for him (30% for 2 member party).
# In that case he will not receive any Exp/SP from party and is not counted for party bonus.
# If you don't want to have a cutoff point for party members' XP distribution, set the first option to "none".
# Available Options: auto, level, percentage, none
# Default: level
PartyXpCutoffMethod = level

# This option takes effect when "percentage" method is chosen. Don't use high values for this!
# Default: 3.0
PartyXpCutoffPercent = 3.0

# This option takes effect when "level" method is chosen. Don't use low values for this!
# Default: 20
PartyXpCutoffLevel = 20

# Party range for l2attackable (default 1600)
AltPartyRange = 1600

# Party range for l2party (default 1400)
AltPartyRange2 = 1400
#=============================================================
#                       GMs / Admin Stuff
#=============================================================

# If next switch is set to true every newly created character will have access level 200.
EverybodyHasAdminRights = False

# This option will set the default AccessLevel for MasterAccess.
# Characters set to this AccessLevel will have the right to execute every AdminCommand ingame.
# Default: 127 (Maximum value: 255)
MasterAccessLevel = 127

# Name color for those matching the above MasterAccess AccessLevel.
# Default: 00CCFF (golden color)
MasterNameColor = 00CCFF

# Title color for those matching the above MasterAccess AccessLevel.
# Default: 00CCFF (golden color)
MasterTitleColor = 00CCFF

# Enable GMs to have the glowing aura of a Hero character.
GMHeroAura = False

# Auto set invulnerable status to a GM on login.
GMStartupInvulnerable = False

# Auto set invisible status to a GM on login.
GMStartupInvisible = False

# Auto block private messages to a GM on login.
GMStartupSilence = False

# Auto list GMs in GM list (/gmlist) on login.
GMStartupAutoList = True

#=============================================================
#                           Petitions
#=============================================================

# Enable players to send in-game petitions. 
PetitioningAllowed = True

# Total number of petitions to allow per player, per session.
MaxPetitionsPerPlayer = 5

# Total number of petitions pending, if more are submitted they will be rejected.
MaxPetitionsPending = 25

#=============================================================
#                          Crafting
#=============================================================

# Crafting enabled/disabled. True by default
CraftingEnabled = True

# Limits for recipes (default : 50 for both)
DwarfRecipeLimit = 50
CommonRecipeLimit = 50

# If set to False, blacksmiths don't take recipes from players inventory when crafting. Default = True (retail) 
AltBlacksmithUseRecipes = True

#=============================================================
#                      Skills / Classes
#=============================================================

# AutoLearnSkills. True to enable, False to disable
AutoLearnSkills = False

# If disabled, magic dmg has always 100% chance of success, default is 'true'
MagicFailures = True

# Alternative rules for shields - if they block, the damage is powerAtk-shieldDef,
# otherwice it's powerAttak / (shieldDef + powerDef)
AltShieldBlocks = False

# Alternative Rate Value for Perfect Shield Block Rate.
AltPerfectShieldBlockRate = 5

# Life crystal needed to learn clan skills
# Default: True
LifeCrystalNeeded = True

# Spell book needed to learn skills
# Default: True
SpBookNeeded = True

# Spell book needed to enchant skills
# Default: True
EnchantSkillSpBookNeeded = True

# Spell book needed to learn Divine Inspiration.
# Default: True
DivineInspirationSpBookNeeded = True

# Allow player subclass addition without checking for unique quest items.
AltSubClassWithoutQuests = False

#=============================================================
#                        Buffs config
#=============================================================

# Maximum number of buffs.
# Remember that Divine Inspiration will give 4 additional buff slots on top of the number specified.
# Default: 20
MaxBuffsAmount = 20

# Store buffs/debuffs on user logout?
StoreSkillCooltime = True